<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>alarmevent.h</name>
    <path>/home/daniel/kdepim-3.5.0.orig/build-tree/kdepim-3.5.0/kalarm/</path>
    <filename>alarmevent_8h</filename>
    <namespace>KCal</namespace>
    <member kind="typedef">
      <type>KCal::Person</type>
      <name>EmailAddress</name>
      <anchorfile>alarmevent_8h.html</anchorfile>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>functions.h</name>
    <path>/home/daniel/kdepim-3.5.0.orig/build-tree/kdepim-3.5.0/kalarm/</path>
    <filename>functions_8h</filename>
    <includes id="alarmevent_8h" name="alarmevent.h" local="yes" imported="no">alarmevent.h</includes>
    <namespace>KCal</namespace>
    <member kind="function">
      <type>int</type>
      <name>Version</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a39</anchor>
      <arglist>(int major, int minor, int rev)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weekDay_to_localeDayInWeek</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a40</anchor>
      <arglist>(int weekDay)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>localeDayInWeek_to_weekDay</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a41</anchor>
      <arglist>(int index)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kalarmapp.h</name>
    <path>/home/daniel/kdepim-3.5.0.orig/build-tree/kdepim-3.5.0/kalarm/</path>
    <filename>kalarmapp_8h</filename>
    <includes id="alarmevent_8h" name="alarmevent.h" local="yes" imported="no">alarmevent.h</includes>
    <namespace>KCal</namespace>
    <member kind="function">
      <type>KAlarmApp *</type>
      <name>theApp</name>
      <anchorfile>kalarmapp_8h.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kalarmiface.h</name>
    <path>/home/daniel/kdepim-3.5.0.orig/build-tree/kdepim-3.5.0/kalarm/</path>
    <filename>kalarmiface_8h</filename>
  </compound>
  <compound kind="file">
    <name>mainwindow.h</name>
    <path>/home/daniel/kdepim-3.5.0.orig/build-tree/kdepim-3.5.0/kalarm/</path>
    <filename>mainwindow_8h</filename>
    <includes id="alarmevent_8h" name="alarmevent.h" local="yes" imported="no">alarmevent.h</includes>
    <includes id="undo_8h" name="undo.h" local="yes" imported="no">undo.h</includes>
  </compound>
  <compound kind="file">
    <name>messagewin.h</name>
    <path>/home/daniel/kdepim-3.5.0.orig/build-tree/kdepim-3.5.0/kalarm/</path>
    <filename>messagewin_8h</filename>
    <includes id="alarmevent_8h" name="alarmevent.h" local="yes" imported="no">alarmevent.h</includes>
  </compound>
  <compound kind="file">
    <name>pickfileradio.h</name>
    <path>/home/daniel/kdepim-3.5.0.orig/build-tree/kdepim-3.5.0/kalarm/</path>
    <filename>pickfileradio_8h</filename>
  </compound>
  <compound kind="file">
    <name>undo.h</name>
    <path>/home/daniel/kdepim-3.5.0.orig/build-tree/kdepim-3.5.0/kalarm/</path>
    <filename>undo_8h</filename>
  </compound>
  <compound kind="class">
    <name>KAEvent</name>
    <filename>classKAEvent.html</filename>
    <member kind="enumeration">
      <name>Status</name>
      <anchor>w48</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAEvent</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QDateTime &amp;dt, const QString &amp;message, const QColor &amp;bg, const QColor &amp;fg, const QFont &amp;f, Action action, int lateCancel, int flags)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAEvent</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const KCal::Event &amp;e)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAEvent</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const KAEvent &amp;e)</arglist>
    </member>
    <member kind="function">
      <type>KAEvent &amp;</type>
      <name>operator=</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const KAEvent &amp;e)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const KCal::Event &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QDate &amp;d, const QString &amp;message, const QColor &amp;bg, const QColor &amp;fg, const QFont &amp;f, Action action, int lateCancel, int flags)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QDateTime &amp;, const QString &amp;message, const QColor &amp;bg, const QColor &amp;fg, const QFont &amp;, Action, int lateCancel, int flags)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMessage</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QDate &amp;d, const QString &amp;message, const QColor &amp;bg, const QColor &amp;fg, const QFont &amp;f, int lateCancel, int flags)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMessage</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QDateTime &amp;dt, const QString &amp;message, const QColor &amp;bg, const QColor &amp;fg, const QFont &amp;f, int lateCancel, int flags)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFileName</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const QDate &amp;d, const QString &amp;filename, const QColor &amp;bg, const QColor &amp;fg, const QFont &amp;f, int lateCancel, int flags)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFileName</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const QDateTime &amp;dt, const QString &amp;filename, const QColor &amp;bg, const QColor &amp;fg, const QFont &amp;f, int lateCancel, int flags)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCommand</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const QDate &amp;, const QString &amp;command, int lateCancel, int flags, const QString &amp;logfile=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCommand</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const QDateTime &amp;, const QString &amp;command, int lateCancel, int flags, const QString &amp;logfile=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEmail</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(const QDate &amp;, const QString &amp;from, const EmailAddressList &amp;, const QString &amp;subject, const QString &amp;message, const QStringList &amp;attachments, int lateCancel, int flags)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEmail</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(const QDateTime &amp;, const QString &amp;from, const EmailAddressList &amp;, const QString &amp;subject, const QString &amp;message, const QStringList &amp;attachments, int lateCancel, int flags)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEmail</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(const QString &amp;from, const EmailAddressList &amp;, const QString &amp;subject, const QStringList &amp;attachments)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAudioFile</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(const QString &amp;filename, float volume, float fadeVolume, int fadeSeconds)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTemplate</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(const QString &amp;name, int afterTime=-1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActions</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(const QString &amp;pre, const QString &amp;post)</arglist>
    </member>
    <member kind="function">
      <type>OccurType</type>
      <name>setNextOccurrence</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>(const QDateTime &amp;preDateTime, bool includeRepetitions=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFirstRecurrence</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEventID</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>(const QString &amp;id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>adjustStartDate</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDate</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>(const QDate &amp;d)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>(const QDateTime &amp;dt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSaveDateTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>(const QDateTime &amp;dt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLateCancel</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>(int lc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAutoClose</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>(bool ac)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRepeatAtLogin</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>(bool rl)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a31</anchor>
      <arglist>(int flags)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUid</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a32</anchor>
      <arglist>(Status s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKMailSerialNumber</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a33</anchor>
      <arglist>(unsigned long n)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLogFile</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a34</anchor>
      <arglist>(const QString &amp;logfile)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReminder</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a35</anchor>
      <arglist>(int minutes, bool onceOnly)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>defer</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a36</anchor>
      <arglist>(const DateTime &amp;, bool reminder, bool adjustRecurrence=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cancelDefer</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a37</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cancelCancelledDeferral</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a38</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setDisplaying</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a39</anchor>
      <arglist>(const KAEvent &amp;, KAAlarm::Type, const QDateTime &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reinstateFromDisplaying</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a40</anchor>
      <arglist>(const KAEvent &amp;dispEvent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setArchive</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a41</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEnabled</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a42</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUpdated</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a43</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearUpdated</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a44</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeExpiredAlarm</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a45</anchor>
      <arglist>(KAAlarm::Type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>incrementRevision</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a46</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCal::Event *</type>
      <name>event</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a47</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTemplate</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a48</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>templateName</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a49</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>usingDefaultTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a50</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>templateAfterTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a51</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KAAlarm</type>
      <name>alarm</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a52</anchor>
      <arglist>(KAAlarm::Type) const </arglist>
    </member>
    <member kind="function">
      <type>KAAlarm</type>
      <name>firstAlarm</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a53</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KAAlarm</type>
      <name>nextAlarm</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a54</anchor>
      <arglist>(const KAAlarm &amp;al) const </arglist>
    </member>
    <member kind="function">
      <type>KAAlarm</type>
      <name>nextAlarm</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a55</anchor>
      <arglist>(KAAlarm::Type) const </arglist>
    </member>
    <member kind="function">
      <type>KAAlarm</type>
      <name>convertDisplayingAlarm</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a56</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>updateKCalEvent</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a57</anchor>
      <arglist>(KCal::Event &amp;, bool checkUid=true, bool original=false, bool cancelCancelledDefer=false) const </arglist>
    </member>
    <member kind="function">
      <type>Action</type>
      <name>action</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a58</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>displayAction</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a59</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>id</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a60</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>valid</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a61</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>alarmCount</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a62</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const DateTime &amp;</type>
      <name>startDateTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a63</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const DateTime &amp;</type>
      <name>mainDateTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a64</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>mainDate</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a65</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QTime</type>
      <name>mainTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a66</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DateTime</type>
      <name>mainEndRepeatTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a67</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>reminder</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a68</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>reminderOnceOnly</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a69</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>reminderDeferral</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a70</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>reminderArchived</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a71</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DateTime</type>
      <name>deferDateTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a72</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DateTime</type>
      <name>deferralLimit</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a73</anchor>
      <arglist>(DeferLimitType *=0) const </arglist>
    </member>
    <member kind="function">
      <type>DateTime</type>
      <name>nextDateTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a74</anchor>
      <arglist>(bool includeReminders=true) const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>messageFileOrCommand</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a75</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>logFile</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a76</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>commandXterm</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a77</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>kmailSerialNumber</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a78</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>copyToKOrganizer</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a79</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>audioFile</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a80</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>soundVolume</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a81</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>fadeVolume</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a82</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>fadeSeconds</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a83</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>repeatSound</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a84</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>preAction</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a85</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>postAction</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a86</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>recurs</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a87</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KARecurrence::Type</type>
      <name>recurType</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a88</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KARecurrence *</type>
      <name>recurrence</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a89</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>recurInterval</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a90</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>longestRecurrenceInterval</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a91</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>recurrenceText</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a92</anchor>
      <arglist>(bool brief=false) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>repetitionText</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a93</anchor>
      <arglist>(bool brief=false) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>remainingRecurrences</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a94</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>occursAfter</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a95</anchor>
      <arglist>(const QDateTime &amp;preDateTime, bool includeRepetitions) const </arglist>
    </member>
    <member kind="function">
      <type>OccurType</type>
      <name>nextOccurrence</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a96</anchor>
      <arglist>(const QDateTime &amp;preDateTime, DateTime &amp;result, OccurOption=IGNORE_REPETITION) const </arglist>
    </member>
    <member kind="function">
      <type>OccurType</type>
      <name>previousOccurrence</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a97</anchor>
      <arglist>(const QDateTime &amp;afterDateTime, DateTime &amp;result, bool includeRepetitions=false) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>flags</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a98</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>deferred</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a99</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>toBeArchived</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a100</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>enabled</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a101</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>updated</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a102</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>mainExpired</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a103</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>expired</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a104</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Status</type>
      <name>uidStatus</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a105</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRepetition</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a106</anchor>
      <arglist>(int interval, int count)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNoRecur</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a107</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRecurrence</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a108</anchor>
      <arglist>(const KARecurrence &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRecurMinutely</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a109</anchor>
      <arglist>(int freq, int count, const QDateTime &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRecurDaily</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a110</anchor>
      <arglist>(int freq, const QBitArray &amp;days, int count, const QDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRecurWeekly</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a111</anchor>
      <arglist>(int freq, const QBitArray &amp;days, int count, const QDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRecurMonthlyByDate</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a112</anchor>
      <arglist>(int freq, const QValueList&lt; int &gt; &amp;days, int count, const QDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRecurMonthlyByPos</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a113</anchor>
      <arglist>(int freq, const QValueList&lt; MonthPos &gt; &amp;pos, int count, const QDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRecurAnnualByDate</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a114</anchor>
      <arglist>(int freq, const QValueList&lt; int &gt; &amp;months, int day, KARecurrence::Feb29Type, int count, const QDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRecurAnnualByPos</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a115</anchor>
      <arglist>(int freq, const QValueList&lt; MonthPos &gt; &amp;pos, const QValueList&lt; int &gt; &amp;months, int count, const QDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dumpDebug</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a116</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Status</type>
      <name>uidStatus</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>uid</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(const QString &amp;id, Status)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAEvent</type>
      <name>findTemplateName</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>(AlarmCalendar &amp;, const QString &amp;name)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>adjustStartOfDay</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>e3</anchor>
      <arglist>(const KCal::Event::List &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>convertKCalEvents</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>e4</anchor>
      <arglist>(KCal::Calendar &amp;, int version, bool adjustSummerTime)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AlarmCalendar</name>
    <filename>classAlarmCalendar.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>calendarSaved</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(AlarmCalendar *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>purged</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>emptyStatus</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(bool empty)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>valid</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KAEvent::Status</type>
      <name>type</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>open</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>load</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>reload</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>close</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startUpdate</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>endUpdate</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCal::Event *</type>
      <name>event</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;uniqueID)</arglist>
    </member>
    <member kind="function">
      <type>KCal::Event::List</type>
      <name>events</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCal::Event::List</type>
      <name>eventsWithAlarms</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const QDateTime &amp;from, const QDateTime &amp;to)</arglist>
    </member>
    <member kind="function">
      <type>KCal::Event *</type>
      <name>addEvent</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(KAEvent &amp;, bool useEventID=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateEvent</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const KAEvent &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteEvent</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;eventID, bool save=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitEmptyStatus</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>purgeAll</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPurgeDays</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(int days)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>purgeIfQueued</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOpen</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>path</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>urlString</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>initialiseCalendars</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>terminateCalendars</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>activeCalendar</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>expiredCalendar</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>e3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>displayCalendar</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>e4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>templateCalendar</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>activeCalendarOpen</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>expiredCalendarOpen</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>e7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>displayCalendarOpen</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>e8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>templateCalendarOpen</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>e9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const KCal::Event *</type>
      <name>getEvent</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>e10</anchor>
      <arglist>(const QString &amp;uniqueID)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAlarmIface</name>
    <filename>classKAlarmIface.html</filename>
    <member kind="enumeration">
      <name>Flags</name>
      <anchor>w16</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>RecurType</name>
      <anchor>w17</anchor>
      <arglist></arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>cancelEvent</name>
      <anchorfile>classKAlarmIface.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>(const QString &amp;url, const QString &amp;eventId)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>triggerEvent</name>
      <anchorfile>classKAlarmIface.html</anchorfile>
      <anchor>z1</anchor>
      <arglist>(const QString &amp;url, const QString &amp;eventId)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>scheduleMessage</name>
      <anchorfile>classKAlarmIface.html</anchorfile>
      <anchor>z2</anchor>
      <arglist>(const QString &amp;message, const QString &amp;startDateTime, int lateCancel, unsigned flags, const QString &amp;bgColor, const QString &amp;fgColor, const QString &amp;font, const KURL &amp;audioFile, int reminderMins, const QString &amp;recurrence, int repeatInterval, int repeatCount)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>scheduleMessage</name>
      <anchorfile>classKAlarmIface.html</anchorfile>
      <anchor>z3</anchor>
      <arglist>(const QString &amp;message, const QString &amp;startDateTime, int lateCancel, unsigned flags, const QString &amp;bgColor, const QString &amp;fgColor, const QString &amp;font, const KURL &amp;audioFile, int reminderMins, int repeatType, int repeatInterval, int repeatCount)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>scheduleMessage</name>
      <anchorfile>classKAlarmIface.html</anchorfile>
      <anchor>z4</anchor>
      <arglist>(const QString &amp;message, const QString &amp;startDateTime, int lateCancel, unsigned flags, const QString &amp;bgColor, const QString &amp;fgColor, const QString &amp;font, const KURL &amp;audioFile, int reminderMins, int repeatType, int repeatInterval, const QString &amp;endDateTime)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>scheduleFile</name>
      <anchorfile>classKAlarmIface.html</anchorfile>
      <anchor>z5</anchor>
      <arglist>(const KURL &amp;file, const QString &amp;startDateTime, int lateCancel, unsigned flags, const QString &amp;bgColor, const KURL &amp;audioFile, int reminderMins, const QString &amp;recurrence, int repeatInterval, int repeatCount)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>scheduleFile</name>
      <anchorfile>classKAlarmIface.html</anchorfile>
      <anchor>z6</anchor>
      <arglist>(const KURL &amp;file, const QString &amp;startDateTime, int lateCancel, unsigned flags, const QString &amp;bgColor, const KURL &amp;audioFile, int reminderMins, int repeatType, int repeatInterval, int repeatCount)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>scheduleFile</name>
      <anchorfile>classKAlarmIface.html</anchorfile>
      <anchor>z7</anchor>
      <arglist>(const KURL &amp;file, const QString &amp;startDateTime, int lateCancel, unsigned flags, const QString &amp;bgColor, const KURL &amp;audioFile, int reminderMins, int repeatType, int repeatInterval, const QString &amp;endDateTime)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>scheduleCommand</name>
      <anchorfile>classKAlarmIface.html</anchorfile>
      <anchor>z8</anchor>
      <arglist>(const QString &amp;commandLine, const QString &amp;startDateTime, int lateCancel, unsigned flags, const QString &amp;recurrence, int repeatInterval, int repeatCount)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>scheduleCommand</name>
      <anchorfile>classKAlarmIface.html</anchorfile>
      <anchor>z9</anchor>
      <arglist>(const QString &amp;commandLine, const QString &amp;startDateTime, int lateCancel, unsigned flags, int repeatType, int repeatInterval, int repeatCount)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>scheduleCommand</name>
      <anchorfile>classKAlarmIface.html</anchorfile>
      <anchor>z10</anchor>
      <arglist>(const QString &amp;commandLine, const QString &amp;startDateTime, int lateCancel, unsigned flags, int repeatType, int repeatInterval, const QString &amp;endDateTime)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>scheduleEmail</name>
      <anchorfile>classKAlarmIface.html</anchorfile>
      <anchor>z11</anchor>
      <arglist>(const QString &amp;fromID, const QString &amp;addresses, const QString &amp;subject, const QString &amp;message, const QString &amp;attachments, const QString &amp;startDateTime, int lateCancel, unsigned flags, const QString &amp;recurrence, int repeatInterval, int repeatCount)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>scheduleEmail</name>
      <anchorfile>classKAlarmIface.html</anchorfile>
      <anchor>z12</anchor>
      <arglist>(const QString &amp;fromID, const QString &amp;addresses, const QString &amp;subject, const QString &amp;message, const QString &amp;attachments, const QString &amp;startDateTime, int lateCancel, unsigned flags, int repeatType, int repeatInterval, int repeatCount)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>scheduleEmail</name>
      <anchorfile>classKAlarmIface.html</anchorfile>
      <anchor>z13</anchor>
      <arglist>(const QString &amp;fromID, const QString &amp;addresses, const QString &amp;subject, const QString &amp;message, const QString &amp;attachments, const QString &amp;startDateTime, int lateCancel, unsigned flags, int repeatType, int repeatInterval, const QString &amp;endDateTime)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MainWindowBase</name>
    <filename>classMainWindowBase.html</filename>
    <member kind="function">
      <type></type>
      <name>MainWindowBase</name>
      <anchorfile>classMainWindowBase.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, WFlags f=WType_TopLevel|WDestructiveClose)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>closeEvent</name>
      <anchorfile>classMainWindowBase.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QCloseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>queryExit</name>
      <anchorfile>classMainWindowBase.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MessageWin</name>
    <filename>classMessageWin.html</filename>
    <base>MainWindowBase</base>
    <member kind="function">
      <type></type>
      <name>MessageWin</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const KAEvent &amp;, const KAAlarm &amp;, bool reschedule_event=true, bool allowDefer=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MessageWin</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const KAEvent &amp;, const DateTime &amp;alarmDateTime, const QStringList &amp;errmsgs)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>repeat</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const KAAlarm &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRecreating</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const DateTime &amp;</type>
      <name>dateTime</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KAAlarm::Type</type>
      <name>alarmType</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasDefer</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>show</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QSize</type>
      <name>sizeHint</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>instanceCount</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static MessageWin *</type>
      <name>findEvent</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(const QString &amp;eventID)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvent</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QShowEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>moveEvent</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QMoveEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>resizeEvent</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(QResizeEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>closeEvent</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(QCloseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>saveProperties</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>readProperties</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>b5</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PickFileRadio</name>
    <filename>classPickFileRadio.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setEnabled</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PickFileRadio</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QPushButton *button, LineEdit *edit, const QString &amp;text, QButtonGroup *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PickFileRadio</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;text, QButtonGroup *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(QPushButton *button, LineEdit *edit=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>pickFile</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFile</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;file)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>file</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>LineEdit *</type>
      <name>fileEdit</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QPushButton *</type>
      <name>pushButton</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>StartOfDayTimer</name>
    <filename>classStartOfDayTimer.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>connect</name>
      <anchorfile>classStartOfDayTimer.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(QObject *receiver, const char *member)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>disconnect</name>
      <anchorfile>classStartOfDayTimer.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(QObject *receiver, const char *member=0)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static StartOfDayTimer *</type>
      <name>instance</name>
      <anchorfile>classStartOfDayTimer.html</anchorfile>
      <anchor>f0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/home/daniel/kdepim-3.5.0.orig/build-tree/kdepim-3.5.0/kalarm/</name>
    <path>/home/daniel/kdepim-3.5.0.orig/build-tree/kdepim-3.5.0/kalarm/</path>
    <filename>dir_000001.html</filename>
    <file>alarmcalendar.cpp</file>
    <file>alarmcalendar.h</file>
    <file>alarmevent.cpp</file>
    <file>alarmevent.h</file>
    <file>alarmlistview.cpp</file>
    <file>alarmlistview.h</file>
    <file>alarmtext.cpp</file>
    <file>alarmtext.h</file>
    <file>alarmtimewidget.cpp</file>
    <file>alarmtimewidget.h</file>
    <file>birthdaydlg.cpp</file>
    <file>birthdaydlg.h</file>
    <file>calendarcompat.cpp</file>
    <file>calendarcompat.h</file>
    <file>daemon.cpp</file>
    <file>daemon.h</file>
    <file>dcophandler.cpp</file>
    <file>dcophandler.h</file>
    <file>deferdlg.cpp</file>
    <file>deferdlg.h</file>
    <file>editdlg.cpp</file>
    <file>editdlg.h</file>
    <file>editdlgprivate.h</file>
    <file>emailidcombo.cpp</file>
    <file>emailidcombo.h</file>
    <file>eventlistviewbase.cpp</file>
    <file>eventlistviewbase.h</file>
    <file>find.cpp</file>
    <file>find.h</file>
    <file>fontcolour.cpp</file>
    <file>fontcolour.h</file>
    <file>fontcolourbutton.cpp</file>
    <file>fontcolourbutton.h</file>
    <file>functions.cpp</file>
    <file>functions.h</file>
    <file>kalarm.h</file>
    <file>kalarmapp.cpp</file>
    <file>kalarmapp.h</file>
    <file>kalarmiface.h</file>
    <file>kamail.cpp</file>
    <file>kamail.h</file>
    <file>karecurrence.cpp</file>
    <file>karecurrence.h</file>
    <file>latecancel.cpp</file>
    <file>latecancel.h</file>
    <file>main.cpp</file>
    <file>mainwindow.cpp</file>
    <file>mainwindow.h</file>
    <file>mainwindowbase.cpp</file>
    <file>mainwindowbase.h</file>
    <file>messagewin.cpp</file>
    <file>messagewin.h</file>
    <file>pickfileradio.cpp</file>
    <file>pickfileradio.h</file>
    <file>prefdlg.cpp</file>
    <file>prefdlg.h</file>
    <file>preferences.cpp</file>
    <file>preferences.h</file>
    <file>recurrenceedit.cpp</file>
    <file>recurrenceedit.h</file>
    <file>recurrenceeditprivate.h</file>
    <file>reminder.cpp</file>
    <file>reminder.h</file>
    <file>repetition.cpp</file>
    <file>repetition.h</file>
    <file>sounddlg.cpp</file>
    <file>sounddlg.h</file>
    <file>soundpicker.cpp</file>
    <file>soundpicker.h</file>
    <file>specialactions.cpp</file>
    <file>specialactions.h</file>
    <file>startdaytimer.cpp</file>
    <file>startdaytimer.h</file>
    <file>templatedlg.cpp</file>
    <file>templatedlg.h</file>
    <file>templatelistview.cpp</file>
    <file>templatelistview.h</file>
    <file>templatemenuaction.cpp</file>
    <file>templatemenuaction.h</file>
    <file>templatepickdlg.cpp</file>
    <file>templatepickdlg.h</file>
    <file>timeselector.cpp</file>
    <file>timeselector.h</file>
    <file>traywindow.cpp</file>
    <file>traywindow.h</file>
    <file>undo.cpp</file>
    <file>undo.h</file>
  </compound>
  <compound kind="dir">
    <name>/home/daniel/kdepim-3.5.0.orig/build-tree/kdepim-3.5.0/</name>
    <path>/home/daniel/kdepim-3.5.0.orig/build-tree/kdepim-3.5.0/</path>
    <filename>dir_000000.html</filename>
    <dir>/home/daniel/kdepim-3.5.0.orig/build-tree/kdepim-3.5.0/kalarm/</dir>
  </compound>
</tagfile>
