<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>KNoteHostDlg</name>
    <filename>classKNoteHostDlg.html</filename>
    <member kind="function">
      <type></type>
      <name>KNoteHostDlg</name>
      <anchorfile>classKNoteHostDlg.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;caption, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>host</name>
      <anchorfile>classKNoteHostDlg.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNotesLegacy</name>
    <filename>classKNotesLegacy.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>cleanUp</name>
      <anchorfile>classKNotesLegacy.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>convert</name>
      <anchorfile>classKNotesLegacy.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(KCal::CalendarLocal *calendar)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ResourceNotes</name>
    <filename>classResourceNotes.html</filename>
    <member kind="function">
      <type></type>
      <name>ResourceNotes</name>
      <anchorfile>classResourceNotes.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const KConfig *)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>load</name>
      <anchorfile>classResourceNotes.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>save</name>
      <anchorfile>classResourceNotes.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>addNote</name>
      <anchorfile>classResourceNotes.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(KCal::Journal *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>deleteNote</name>
      <anchorfile>classResourceNotes.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(KCal::Journal *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KCal::Alarm::List</type>
      <name>alarms</name>
      <anchorfile>classResourceNotes.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QDateTime &amp;from, const QDateTime &amp;to)=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setManager</name>
      <anchorfile>classResourceNotes.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(KNotesResourceManager *manager)</arglist>
    </member>
    <member kind="function">
      <type>KNotesResourceManager *</type>
      <name>manager</name>
      <anchorfile>classResourceNotes.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KNotesResourceManager *</type>
      <name>mManager</name>
      <anchorfile>classResourceNotes.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/home/daniel/kdepim-3.5.0.orig/build-tree/kdepim-3.5.0/</name>
    <path>/home/daniel/kdepim-3.5.0.orig/build-tree/kdepim-3.5.0/</path>
    <filename>dir_000000.html</filename>
    <dir>/home/daniel/kdepim-3.5.0.orig/build-tree/kdepim-3.5.0/knotes/</dir>
  </compound>
  <compound kind="dir">
    <name>/home/daniel/kdepim-3.5.0.orig/build-tree/kdepim-3.5.0/knotes/</name>
    <path>/home/daniel/kdepim-3.5.0.orig/build-tree/kdepim-3.5.0/knotes/</path>
    <filename>dir_000001.html</filename>
    <file>knote.cpp</file>
    <file>knote.h</file>
    <file>knotealarmdlg.cpp</file>
    <file>knotealarmdlg.h</file>
    <file>knotebutton.cpp</file>
    <file>knotebutton.h</file>
    <file>knoteconfigdlg.cpp</file>
    <file>knoteconfigdlg.h</file>
    <file>knoteedit.cpp</file>
    <file>knoteedit.h</file>
    <file>knotehostdlg.cpp</file>
    <file>knotehostdlg.h</file>
    <file>knotesalarm.cpp</file>
    <file>knotesalarm.h</file>
    <file>knotesapp.cpp</file>
    <file>knotesapp.h</file>
    <file>KNotesAppIface.h</file>
    <file>KNotesIface.h</file>
    <file>knoteslegacy.cpp</file>
    <file>knoteslegacy.h</file>
    <file>knotesnetrecv.cpp</file>
    <file>knotesnetrecv.h</file>
    <file>knotesnetsend.cpp</file>
    <file>knotesnetsend.h</file>
    <file>main.cpp</file>
    <file>main.h</file>
    <file>resourcelocal.cpp</file>
    <file>resourcelocal.h</file>
    <file>resourcelocal_plugin.cpp</file>
    <file>resourcelocalconfig.cpp</file>
    <file>resourcelocalconfig.h</file>
    <file>resourcemanager.cpp</file>
    <file>resourcemanager.h</file>
    <file>resourcenotes.cpp</file>
    <file>resourcenotes.h</file>
    <file>version.h</file>
  </compound>
</tagfile>
